%define threading 1
%define debugging 0

#
# From FC:
#

%if %threading
%define thread_arch -thread-multi
%else
%define thread_arch %{nil}
%endif

%define arch %(echo %{_arch} | sed -e "s/amd64/x86_64/")
%define full_arch %{arch}-%{_os}%{thread_arch}
# Don't change to %{_libdir} as perl is clean and has arch-dependent subdirs
%define perl_root %{_prefix}/lib/perl5

# This is to emulate the perl_archlib macro but of the newly installed perl
# which may be different
%define this_perl_archlib %{perl_root}/%{version}/%{full_arch}

# This overrides filters from build root (/usr/lib/rpm/macros.d/macros.perl)
# intentionally (unversioned perl(DB) is removed and versioned one is kept).
# Filter provides from *.pl files, bug #924938
%global __provides_exclude_from .*%{_docdir}|.*%{this_perl_archlib}/.*\\.pl$|.*%{perl_privlib}/.*\\.pl$
%global __requires_exclude_from %{_docdir}
%global __provides_exclude perl\\((VMS|Win32|BSD::|DB\\)$)
# unicore::Name - it's needed by perl, maybe problem of rpm
# FCGI is external dependency after install of perl-CGI, remove it during RC releases
%global __requires_exclude perl\\((VMS|BSD::|Win32|Tk|Mac::|Your::Module::Here|unicore::Name|FCGI|Locale::Codes::.*(Code|Retired))


# Filter dependencies on private modules. Generator:
# for F in $(find lib -type f); do perl -e '$/ = undef; $_ = <>; if (/^package #\R([\w:]*);/m) { print qq{|^perl\\\\($1\\\\)} }' "$F"; done
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Locale::Codes::Country_Retired\\)|^perl\\(Locale::Codes::LangFam_Retired\\)|^perl\\(Locale::Codes::Script_Retired\\)|^perl\\(Locale::Codes::LangExt_Codes\\)|^perl\\(Locale::Codes::LangFam_Codes\\)|^perl\\(Locale::Codes::Script_Codes\\)|^perl\\(Locale::Codes::Language_Codes\\)|^perl\\(Locale::Codes::LangExt_Retired\\)|^perl\\(Locale::Codes::Currency_Codes\\)|^perl\\(Locale::Codes::LangVar_Retired\\)|^perl\\(Locale::Codes::Language_Retired\\)|^perl\\(Locale::Codes::Country_Codes\\)|^perl\\(Locale::Codes::LangVar_Codes\\)|^perl\\(Locale::Codes::Currency_Retired\\)

#
# End of FC
#



#%%define _default_patch_fuzz 2


%define lc_distro %(echo %{distribution} | cut -d" " -f1 | tr "A-Z" "a-z")

Name:     perl
Version:  5.22.3
%define subrel 1
Release:  %mkrel 3
Epoch:    2

%define rel %{nil}
#define rel -RC4

Summary:  The Perl programming language
License:  GPL+ or Artistic
Group:    Development/Perl
Url:      http://www.perl.org/

# ftp://ftp.funet.fi/pub/languages/perl/snap/perl@17574.tbz
#ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/perl-%{version}.tar.bz2
Source0:  http://www.cpan.org/src/perl-%{version}%{rel}.tar.xz
Source1:  perl-headers-wanted
Source2:  perl-5.8.0-RC2-special-h2ph-not-failing-on-machine_ansi_header.patch
# From FC:
Source3:        macros.perl
Patch3:  perl-5.20.0-lib64.patch
Patch4:  perl-5.16.0-perldoc-use-nroff-compatibility-option.patch
Patch6:   perl-5.16.0-fix-LD_RUN_PATH-for-MakeMaker.patch
# 2 patches From FC:
# Define SONAME for libperl.so
Patch15:        perl-5.16.3-create_libperl_soname.patch
# Install libperl.so to -Dshrpdir value
Patch16:        perl-5.22.0-Install-libperl.so-to-shrpdir-on-Linux.patch
Patch23:  perl-5.12.0-patchlevel.patch

# Workaround for Coro, bug #1231165, CPAN RT#101063. To remove in the future.
Patch28:        perl-5.22.0-Revert-const-the-core-magic-vtables.patch

Patch32:  perl-5.10.0-incversionlist.patch

Patch43:  perl-5.20.0-skip_tests_using_dev_log_for_iurt.patch
Patch44:  perl-5.16.0-h2ph--handle-relative-include.patch
Patch45:  CPAN-2.00-increase_cpan-O_precision.patch

# mdvbz#34505, get rid of this patch as soon as possible :-/
Patch48:  perl-5.16.0-workaround-segfault-freeing-scalar-a-second-time.patch

#
# fixes taken from debian
#
# Fix a segmentation fault occurring in the mod_perl2 test suite (debian #475498, perl #33807)
Patch65:  local_symtab.diff
# append to config cflags debian #628522
Patch66:  perl-5.14.0-fix_eumm_append_to_config_cflags_instead_of_overriding.patch
# use hanextra for zh_CN.GB18030 promoted in mga3
Patch68:  perl-5.16.1-use-han-extra.patch
# do not exclude requires from META.* from %%_docdir when using %%perl_default_filter:
Patch70:  do-not-exclude-requires-from-meta.diff

# CVE-2017-6512 ( MGA#19051 ) - patches from Debian
Patch71:  SOURCES/extutils_file_path_compat.diff
Patch72:  SOURCES/file_path_chmod_race.diff
# MGA#21752 - patches from Debian
Patch73:  CVE-2017-12837.diff
Patch74:  CVE-2017-12883.diff

# From FC:
# Link XS modules to libperl.so with EU::CBuilder on Linux, bug #960048
Patch200:       perl-5.16.3-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch
# Link XS modules to libperl.so with EU::MM on Linux, bug #960048
Patch201:       perl-5.16.3-Link-XS-modules-to-libperl.so-with-EU-MM-on-Linux.patch


Patch1000:      perl-5.22.3-cpan-without-dot.diff
Patch1001:      perl-5.22.3-eumm-without-dot.diff

Requires: perl-base = %{epoch}:%{version}-%{release}

# --

# the following modules are dual-lifed modules, which are shipping
# scripts in /usr/bin. to prevent conflict, dual-lifed modules rename
# the scripts - but only after the listed version ;-)
Conflicts: perl-Archive-Tar < 1.840.0-2
Conflicts: perl-Digest-SHA < 5.610.0-3
Conflicts: perl-JSON-PP < 2.271.50-3
Conflicts: perl-Module-Build < 1:0.380.0-3
Conflicts: perl-Module-CoreList <= 2.610.0
Conflicts: perl-Pod-Perldoc < 3.150.0-3
Conflicts: perl-IO-Compress < 2.49.0-2

# the following modules are no more compatible with recent perls, and
# aren't updated on cpan since quite some time.
# - perl 5.14
Conflicts: perl-Alias        <= 2.320.0-2
Conflicts: perl-DBD-Firebird <= 0.52-1
# rt#66966
Conflicts: perl-MIME-Explode <= 0.380.0-2

# file conflict on /bin/prove
Conflicts: perl-devel <= 5.18.2-3.mga5

Provides: perl(attributes)
Provides: perl(blib)
Provides: perl(charnames)
Provides: perl(feature)
Provides: perl(fields)
Provides: perl(if)
Provides: perl(locale)
Provides: perl(mro)
Provides: perl(open)
Provides: perl(re)
Provides: perl(subs)
Provides: perl(warnings::register)

Provides:  perl-libnet
Provides:  perl-Storable = 2.490.0
Obsoletes: perl-Storable < 2.490.0
Provides:  perl-Time-HiRes = 1:1.972.600
Obsoletes: perl-Time-HiRes < 1:1.972.600
Provides:  perl-Locale-Codes
Provides:  perl-Test-Simple = 1.1.2
Obsoletes: perl-Test-Simple < 1.1.2
Provides:  perl-Test-Builder-Tester = 1.180.0
Obsoletes: perl-Test-Builder-Tester < 1.180.0

Provides:  perl(version) = 1:1.130.0
Provides:  perl-version = 1:1.130.0
Obsoletes: perl-version < 1:1.130.0
Provides:  perl-File-Fetch = 0.480.0
Obsoletes: perl-File-Fetch < 0.480.0
Provides:  perl-CPAN = 2.50.0
Obsoletes: perl-CPAN < 2.50.0
Provides:  perl-IO-Zlib = 1.100.0
Obsoletes: perl-IO-Zlib < 1.100.0
Provides:  perl-Pod-Simple = 3.280.0
Obsoletes: perl-Pod-Simple < 3.280.0
%rename    perl-Math-BigInt-FastCalc
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}Mac|VMS|perl >=|perl\\(Errno\\)|perl\\(Fcntl\\)|perl\\(IO\\)|perl\\(IO::File\\)|perl\\(IO::Socket::INET\\)|perl\\(IO::Socket::UNIX\\)|perl\\(Tk\\)|perl\\(Tk::Pod\\)|perlapi-

# for NDBM
BuildRequires: db-devel
BuildRequires: gdbm-devel
%if "%{_lib}" == "lib64"
BuildRequires: devel(libgdbm_compat(64bit))
%else
BuildRequires: devel(libgdbm_compat)
%endif
BuildRequires: rpm-%{lc_distro}-setup-build

BuildRequires: man

%package base
Version:  %{version}
Summary:  The Perl programming language (base)
Provides: perl(v5.6.0) perl(base) perl(bytes) perl(constant) perl(integer) perl(lib) perl(overload) perl(strict) perl(utf8) perl(vars) perl(warnings) perl(Carp::Heavy)
Group:    Development/Perl
Url:      http://www.perl.org/
# explicit file provides
Provides: /usr/bin/perl
Provides: /bin/perl

%package devel
Version:  %{version}
Summary:  The Perl programming language (devel)
Group:    Development/Perl
Url: http://www.perl.org/
# for each package linked against libperl.so, rpm will
# add an automatic dependency on devel(libperl) for
# the corresponding devel package, but rpm will not
# automatically provides it, as libperl.so is not in
# standard library path
%ifarch %ix86
Provides:   devel(libperl)
%endif
%ifarch x86_64
Provides:   devel(libperl(64bit))
%endif
Requires: %{name} = %{epoch}:%{version}-%{release}

%package doc
Version:  %{version}
Summary:  The Perl programming language (documentation)
Group:    Development/Perl
BuildArch: noarch
Url:      http://www.perl.org/
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: groff-for-man
Requires: perl(Pod::Perldoc)

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

You need perl-base to have a full perl.

%description base
This is the base package for %{name}.

%description devel
This is the devel package for %{name}.

%description doc
This is the documentation package for %{name}.
It contains also the 'perldoc' program.

%prep
%setup -q -n %{name}-%{version}%{rel}
%patch6 -p1
%patch3 -p1
%patch4 -p0
%patch15 -p1
%patch16 -p1
%if "%{rel}" == "%{nil}"
%patch23 -p0 -b .patchlevel
%endif
%patch28 -p1
%patch32 -p1
%patch43 -p1 -b .iurt_skip_tests
%patch44 -p0
%patch45 -p0
%patch48 -p0

%patch65 -p1
%patch66 -p1 -b .cflags
%patch68 -p1 -b .han

# FC's macros.perl:
cp -a %{SOURCE3} .
# do not exclude requires from META.* from %%_docdir:
%patch70 -p1 -b .req_from_meta
#patch71 -p1 -b .EUMM_CVE
%patch72 -p1 -b .CVE_2017_6512
%patch73 -p1 -b .CVE_2017_12837
%patch74 -p1 -b .CVE_2017_12883
%patch200 -p1
%patch201 -p1

%patch1000 -p1
%patch1001 -p1

chmod -R u+w *

%build
sh Configure -des \
  -Dinc_version_list="5.22.3 5.22.3/%{full_arch} 5.22.2 5.22.2/%{full_arch} 5.22.1 5.22.1/%{full_arch} 5.22.0 5.22.0/%{full_arch} 5.20.1 5.20.0 5.18.2 5.18.1 5.18.0 5.16.3 5.16.3 5.16.2 5.16.2 5.16.1 5.16.1 5.16.0 5.16.0" \
  -Darchname=%{arch}-%{_os} \
  -Dcc='%{__cc}' \
%if %debugging
  -Doptimize=-g -DDEBUGGING \
%else
  -Doptimize="%(echo %optflags %ldflags -pthread|sed -e 's/-Wl,--no-undefined//')" -DDEBUGGING=-g \
%endif
  -Dprefix=%_prefix -Dvendorprefix=%_prefix \
  -Dsiteprefix=%_prefix -Dsitebin=%_prefix/local/bin \
  -Dsiteman1dir=%_prefix/local/share/man/man1 \
  -Dsiteman3dir=%_prefix/local/share/man/man3 \
  -Dman3dir=%_mandir/man3pm \
  -Dvendorman3dir=%_mandir/man3 \
  -Dman3ext=3pm \
  -Dcf_by=%{distribution} -Dmyhostname=localhost -Dperladmin=root@localhost -Dcf_email=root@localhost  \
  -Dperllibs='-lnsl -ldl -lm -lcrypt -lutil -lc -pthread'   \
  -Ud_csh \
  -Duseshrplib \
%if %threading
  -Duseithreads \
%endif
  -Di_db \
  -Di_ndbm \
  -Di_gdbm

# (tv) fix build without soname-ifed perl installed:
%global soname libperl.so.%(echo '%{version}' | sed 's/^\\([^.]*\\.[^.]*\\).*/\\1/')
ln -fs libperl.so %soname
%make_build

%check
exit 0
# for test, building a perl with no rpath
# for test, unset RPM_BUILD_ROOT so that the MakeMaker trick is not triggered
rm -f perl
%define nbprocs %(/usr/bin/getconf _NPROCESSORS_ONLN)
RPM_BUILD_ROOT="" TEST_JOBS=%{nbprocs} make test_harness_notty CCDLFLAGS=
rm -f perl
make perl

%install
%make_install

#
# perl RPM macros
#
mkdir -p ${RPM_BUILD_ROOT}%{_rpmconfigdir}/macros.d
install -p -m 644 macros.perl ${RPM_BUILD_ROOT}%{_rpmconfigdir}/macros.d/

install -d $RPM_BUILD_ROOT%{perl_root}/vendor_perl/%{version}/%{full_arch}/auto

# We prefer 0755 instead of 0555
find $RPM_BUILD_ROOT -name "*.so" | xargs chmod 0755

cp -f utils/h2ph utils/h2ph_patched
cat %{SOURCE2} | patch -p1

%global build_archlib $RPM_BUILD_ROOT%this_perl_archlib
mkdir -p $RPM_BUILD_ROOT%{_libdir}
# Make proper DSO names, move libperl to standard path.
%global soname libperl.so.%(echo '%{version}' | sed 's/^\\([^.]*\\.[^.]*\\).*/\\1/')
mv "%{build_archlib}/CORE/libperl.so" \
    "$RPM_BUILD_ROOT%{_libdir}/libperl.so.%{version}"
ln -s "libperl.so.%{version}" "$RPM_BUILD_ROOT%{_libdir}/%{soname}"
ln -s "libperl.so.%{version}" "$RPM_BUILD_ROOT%{_libdir}/libperl.so"
# XXX: Keep symlink from original location because various code glues
# $archlib/CORE/$libperl to get the DSO.
ln -s "%{_libdir}/libperl.so.%{version}" "%{build_archlib}/CORE/libperl.so"

# LD_PRELOAD doesn't work... why?
LD_LIBRARY_PATH=`pwd`:$RPM_BUILD_ROOT%{_libdir} ./perl -Ilib utils/h2ph_patched -a -d $RPM_BUILD_ROOT%{perl_root}/%{version}/%{full_arch} `cat %{SOURCE1}` > /dev/null ||:

(
    # i don't like hardlinks, having symlinks instead:
    cd $RPM_BUILD_ROOT%{_bindir}
    ln -sf perl5 perl
    ln -s perl%{version} perl5
)

rm -f $RPM_BUILD_ROOT%{_bindir}/perlivp $RPM_BUILD_ROOT%{_mandir}/man1/perlivp.1

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

(
   cat > perl-base.list <<EOF
%{_bindir}/perl
%{_bindir}/perl5
%{_bindir}/perl%{version}
%dir %{perl_root}
%dir %{perl_root}/%{version}
%dir %{perl_root}/%{version}/File
%{perl_root}/%{version}/autouse.pm
%{perl_root}/%{version}/AnyDBM_File.pm
%{perl_root}/%{version}/FindBin.pm
%{perl_root}/%{version}/File/Basename.pm
%{perl_root}/%{version}/File/Find.pm
%{perl_root}/%{version}/File/Path.pm
%{perl_root}/%{version}/File/Temp.pm
%{perl_root}/%{version}/File/GlobMapper.pm
%dir %{perl_root}/%{version}/Getopt
%{perl_root}/%{version}/Getopt/Long.pm
%{perl_root}/%{version}/Getopt/Std.pm
%dir %{perl_root}/%{version}/Encode
%{perl_root}/%{version}/Encode/ConfigLocal_PM.e2x
%{perl_root}/%{version}/Encode/Makefile_PL.e2x
%{perl_root}/%{version}/Encode/_PM.e2x
%{perl_root}/%{version}/Encode/_T.e2x
%dir %{perl_root}/%{version}/IO
%dir %{perl_root}/%{version}/Compress
%dir %{perl_root}/%{version}/IO/Compress
%{perl_root}/%{version}/Compress/Zlib.pm
%dir %{perl_root}/%{version}/IO/Compress/Adapter
%{perl_root}/%{version}/IO/Compress/Adapter/Bzip2.pm
%{perl_root}/%{version}/IO/Compress/Adapter/Deflate.pm
%{perl_root}/%{version}/IO/Compress/Adapter/Identity.pm
%dir %{perl_root}/%{version}/IO/Compress/Base
%{perl_root}/%{version}/IO/Compress/Base.pm
%{perl_root}/%{version}/IO/Compress/Base/Common.pm
%{perl_root}/%{version}/IO/Compress/Bzip2.pm
%{perl_root}/%{version}/IO/Compress/Deflate.pm
%dir %{perl_root}/%{version}/IO/Compress/Gzip
%{perl_root}/%{version}/IO/Compress/Gzip.pm
%{perl_root}/%{version}/IO/Compress/Gzip/Constants.pm
%{perl_root}/%{version}/IO/Compress/RawDeflate.pm
%dir %{perl_root}/%{version}/IO/Compress/Zip
%{perl_root}/%{version}/IO/Compress/Zip.pm
%{perl_root}/%{version}/IO/Compress/Zip/Constants.pm
%dir %{perl_root}/%{version}/IO/Compress/Zlib
%{perl_root}/%{version}/IO/Compress/Zlib/Constants.pm
%{perl_root}/%{version}/IO/Compress/Zlib/Extra.pm
%dir %{perl_root}/%{version}/IO/Uncompress
%dir %{perl_root}/%{version}/IO/Uncompress/Adapter
%{perl_root}/%{version}/IO/Uncompress/Adapter/Bunzip2.pm
%{perl_root}/%{version}/IO/Uncompress/Adapter/Identity.pm
%{perl_root}/%{version}/IO/Uncompress/Adapter/Inflate.pm
%{perl_root}/%{version}/IO/Uncompress/AnyInflate.pm
%{perl_root}/%{version}/IO/Uncompress/AnyUncompress.pm
%{perl_root}/%{version}/IO/Uncompress/Base.pm
%{perl_root}/%{version}/IO/Uncompress/Bunzip2.pm
%{perl_root}/%{version}/IO/Uncompress/Gunzip.pm
%{perl_root}/%{version}/IO/Uncompress/Inflate.pm
%{perl_root}/%{version}/IO/Uncompress/RawInflate.pm
%{perl_root}/%{version}/IO/Uncompress/Unzip.pm
%{perl_root}/%{version}/Net/Cmd.pm
%{perl_root}/%{version}/Net/Config.pm
%dir %{perl_root}/%{version}/Net/FTP
%{perl_root}/%{version}/Net/FTP.pm
%{perl_root}/%{version}/Net/FTP/A.pm
%{perl_root}/%{version}/Net/FTP/E.pm
%{perl_root}/%{version}/Net/FTP/I.pm
%{perl_root}/%{version}/Net/FTP/L.pm
%{perl_root}/%{version}/Net/FTP/dataconn.pm
%dir %{perl_root}/%{version}/Time
%{perl_root}/%{version}/Time/Local.pm
%{perl_root}/%{version}/AutoLoader.pm
%dir %{perl_root}/%{version}/Carp
%{perl_root}/%{version}/Carp.pm
%{perl_root}/%{version}/Carp/Heavy.pm
%{perl_root}/%{version}/DirHandle.pm
%{perl_root}/%{version}/%{full_arch}/Errno.pm
%dir %{perl_root}/%{version}/Exporter
%{perl_root}/%{version}/Exporter/Heavy.pm
%{perl_root}/%{version}/Exporter.pm
%{perl_root}/%{version}/FileHandle.pm
%{perl_root}/%{version}/IPC/Open2.pm
%{perl_root}/%{version}/IPC/Open3.pm
%{perl_root}/%{version}/Net/POP3.pm
%{perl_root}/%{version}/PerlIO.pm
%{perl_root}/%{version}/SelectSaver.pm
%{perl_root}/%{version}/Symbol.pm
%dir %{perl_root}/%{version}/Tie
%{perl_root}/%{version}/Tie/Hash.pm
%{perl_root}/%{version}/XSLoader.pm
%{perl_root}/%{version}/base.pm
%{perl_root}/%{version}/bytes.pm
%{perl_root}/%{version}/bytes_heavy.pl
%{perl_root}/%{version}/constant.pm
%{perl_root}/%{version}/feature.pm
%{perl_root}/%{version}/integer.pm
%{perl_root}/%{version}/overload.pm
%{perl_root}/%{version}/overloading.pm
%{perl_root}/%{version}/parent.pm
%{perl_root}/%{version}/strict.pm
%{perl_root}/%{version}/utf8.pm
%{perl_root}/%{version}/utf8_heavy.pl
%{perl_root}/%{version}/unicore/To/Lower.pl
%{perl_root}/%{version}/unicore/To/Fold.pl
%{perl_root}/%{version}/unicore/To/Upper.pl
%{perl_root}/%{version}/vars.pm
%dir %{perl_root}/%{version}/warnings
%{perl_root}/%{version}/warnings/register.pm
%{perl_root}/%{version}/warnings.pm
%dir %{perl_root}/%{version}/%{full_arch}
%{perl_root}/%{version}/%{full_arch}/lib.pm
%{perl_root}/%{version}/%{full_arch}/B.pm
%{perl_root}/%{version}/%{full_arch}/auto/B/B.so
%{perl_root}/%{version}/%{full_arch}/Cwd.pm
%{perl_root}/%{version}/%{full_arch}/File/Spec.pm
%{perl_root}/%{version}/%{full_arch}/File/Spec/Unix.pm
%dir %{perl_root}/%{version}/%{full_arch}/File/Spec
%{perl_root}/%{version}/%{full_arch}/Fcntl.pm
%{perl_root}/%{version}/%{full_arch}/IO.pm
%dir %{perl_root}/%{version}/%{full_arch}/IO
%{perl_root}/%{version}/%{full_arch}/IO/File.pm
%{perl_root}/%{version}/%{full_arch}/IO/Handle.pm
%{perl_root}/%{version}/%{full_arch}/IO/Seekable.pm
%{perl_root}/%{version}/%{full_arch}/IO/Select.pm
%{perl_root}/%{version}/%{full_arch}/IO/Socket.pm
%dir %{perl_root}/%{version}/%{full_arch}/IO/Socket
%{perl_root}/%{version}/%{full_arch}/IO/Socket/INET.pm
%dir %{perl_root}/%{version}/%{full_arch}/Compress
%dir %{perl_root}/%{version}/%{full_arch}/Compress/Raw
%{perl_root}/%{version}/%{full_arch}/Compress/Raw/Bzip2.pm
%{perl_root}/%{version}/%{full_arch}/Compress/Raw/Zlib.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Bzip2
%{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Bzip2/Bzip2.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Zlib
%{perl_root}/%{version}/%{full_arch}/auto/Compress/Raw/Zlib/Zlib.so
%dir %{perl_root}/%{version}/%{full_arch}/auto
%dir %{perl_root}/%{version}/%{full_arch}/auto/Cwd
%{perl_root}/%{version}/%{full_arch}/auto/Cwd/Cwd.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Data
%dir %{perl_root}/%{version}/%{full_arch}/auto/Data/Dumper
%{perl_root}/%{version}/%{full_arch}/auto/Data/Dumper/Dumper.so
%{perl_root}/%{version}/%{full_arch}/Data/Dumper.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/Fcntl
%{perl_root}/%{version}/%{full_arch}/auto/Fcntl/Fcntl.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/File
%dir %{perl_root}/%{version}/%{full_arch}/auto/File/Glob
%{perl_root}/%{version}/%{full_arch}/auto/File/Glob/Glob.so
%{perl_root}/%{version}/%{full_arch}/File/Glob.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/MIME
%dir %{perl_root}/%{version}/%{full_arch}/auto/MIME/Base64
%{perl_root}/%{version}/%{full_arch}/auto/MIME/Base64/Base64.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Digest
%dir %{perl_root}/%{version}/%{full_arch}/auto/Digest/MD5
%{perl_root}/%{version}/%{full_arch}/auto/Digest/MD5/MD5.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/I18N
%dir %{perl_root}/%{version}/%{full_arch}/auto/I18N/Langinfo/
%{perl_root}/%{version}/%{full_arch}/auto/I18N/Langinfo/Langinfo.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/IO
%{perl_root}/%{version}/%{full_arch}/auto/IO/IO.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode
%{perl_root}/%{version}/%{full_arch}/Encode.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Alias.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Byte.pm
%{perl_root}/%{version}/%{full_arch}/Encode/CJKConstants.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Config.pm
%{perl_root}/%{version}/%{full_arch}/Encode/EBCDIC.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Encoder.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Encoding.pm
%{perl_root}/%{version}/%{full_arch}/Encode/GSM0338.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Guess.pm
%dir %{perl_root}/%{version}/%{full_arch}/Encode/MIME
%dir %{perl_root}/%{version}/%{full_arch}/Encode/MIME/Header
%{perl_root}/%{version}/%{full_arch}/Encode/MIME/Header.pm
%{perl_root}/%{version}/%{full_arch}/Encode/MIME/Header/ISO_2022_JP.pm
%{perl_root}/%{version}/%{full_arch}/Encode/MIME/Name.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Symbol.pm
%dir %{perl_root}/%{version}/%{full_arch}/Encode/Unicode
%{perl_root}/%{version}/%{full_arch}/Encode/Unicode.pm
%{perl_root}/%{version}/%{full_arch}/Encode/Unicode/UTF7.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/Byte
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Byte/Byte.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/EBCDIC
%{perl_root}/%{version}/%{full_arch}/auto/Encode/EBCDIC/EBCDIC.so
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Encode.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/Symbol
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Symbol/Symbol.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Encode/Unicode
%{perl_root}/%{version}/%{full_arch}/auto/Encode/Unicode/Unicode.so
%dir %{perl_root}/%{version}/%{full_arch}/List
%dir %{perl_root}/%{version}/%{full_arch}/List/Util
%{perl_root}/%{version}/%{full_arch}/List/Util.pm
%{perl_root}/%{version}/%{full_arch}/List/Util/XS.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto/List
%dir %{perl_root}/%{version}/%{full_arch}/auto/List/Util
%{perl_root}/%{version}/%{full_arch}/auto/List/Util/Util.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/POSIX
%{perl_root}/%{version}/%{full_arch}/auto/POSIX/POSIX.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Socket
%{perl_root}/%{version}/%{full_arch}/auto/Socket/Socket.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Storable
%{perl_root}/%{version}/%{full_arch}/auto/Storable/Storable.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/re
%{perl_root}/%{version}/%{full_arch}/auto/re/re.so
%{perl_root}/%{version}/%{full_arch}/Config.pm
%{perl_root}/%{version}/%{full_arch}/Config_heavy.pl
%{perl_root}/%{version}/%{full_arch}/Digest/MD5.pm
%{perl_root}/%{version}/%{full_arch}/DynaLoader.pm
%{perl_root}/%{version}/%{full_arch}/I18N/Langinfo.pm
%{perl_root}/%{version}/%{full_arch}/MIME/Base64.pm
%{perl_root}/%{version}/%{full_arch}/MIME/QuotedPrint.pm
%{perl_root}/%{version}/%{full_arch}/POSIX.pm
%dir %{perl_root}/%{version}/%{full_arch}/Scalar/
%{perl_root}/%{version}/%{full_arch}/Scalar/Util.pm
%{perl_root}/%{version}/%{full_arch}/Socket.pm
%{perl_root}/%{version}/%{full_arch}/Storable.pm
%dir %{perl_root}/%{version}/%{full_arch}/Sys/
%dir %{perl_root}/%{version}/%{full_arch}/auto/Sys/
%dir %{perl_root}/%{version}/%{full_arch}/auto/Sys/Hostname
%{perl_root}/%{version}/%{full_arch}/Sys/Hostname.pm
%{perl_root}/%{version}/%{full_arch}/auto/Sys/Hostname/Hostname.so
%{perl_root}/%{version}/%{full_arch}/re.pm
%dir %{perl_root}/%{version}/%{full_arch}/CORE
%{perl_root}/%{version}/%{full_arch}/CORE/libperl.so
%dir %{perl_root}/%{version}/%{full_arch}/asm
%dir %{perl_root}/%{version}/%{full_arch}/bits
%dir %{perl_root}/%{version}/%{full_arch}/sys
%{perl_root}/%{version}/%{full_arch}/asm/unistd.ph
%ifarch %mips
%{perl_root}/%{version}/%{full_arch}/asm/sgidefs.ph
%endif
%ifarch x86_64
%{perl_root}/%{version}/%{full_arch}/bits/wordsize.ph
%endif
%ifarch %ix86 x86_64
%{perl_root}/%{version}/%{full_arch}/asm/unistd_32.ph
%{perl_root}/%{version}/%{full_arch}/asm/unistd_64.ph
%endif
%{perl_root}/%{version}/%{full_arch}/bits/syscall.ph
%{perl_root}/%{version}/%{full_arch}/sys/syscall.ph
%{perl_root}/%{version}/%{full_arch}/_h2ph_pre.ph
%{perl_root}/%{version}/%{full_arch}/syscall.ph
EOF

   cat > perl.list <<EOF
%doc README
%doc Artistic
%{_bindir}/encguess
%{_bindir}/perlbug
%{_bindir}/perlthanks
%{_bindir}/pod2man
%{_bindir}/pod2html
%{_bindir}/pod2text
%{_bindir}/prove
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_bindir}/ptargrep
%{_bindir}/splain
%{_bindir}/zipdetails
EOF

   cat > perl-devel.list <<EOF
%{_bindir}/c2ph
%{_bindir}/corelist
%{_bindir}/cpan
%{_bindir}/enc2xs
%{_bindir}/h2ph
%{_bindir}/h2xs
%{_bindir}/instmodsh
%{_bindir}/json_pp
%{_bindir}/libnetcfg
%{_bindir}/piconv
%{_bindir}/pl2pm
%{_bindir}/pod2usage
%{_bindir}/podchecker
%{_bindir}/podselect
%{_bindir}/pstruct
%{_bindir}/shasum
%{_bindir}/xsubpp
%{perl_root}/%{version}/Encode/encode.h
%{perl_root}/%{version}/%{full_arch}/CORE/EXTERN.h
%{perl_root}/%{version}/%{full_arch}/CORE/INTERN.h
%{perl_root}/%{version}/%{full_arch}/CORE/XSUB.h
%{perl_root}/%{version}/%{full_arch}/CORE/av.h
%{perl_root}/%{version}/%{full_arch}/CORE/cop.h
%{perl_root}/%{version}/%{full_arch}/CORE/cv.h
%{perl_root}/%{version}/%{full_arch}/CORE/dosish.h
%{perl_root}/%{version}/%{full_arch}/CORE/embed.h
%{perl_root}/%{version}/%{full_arch}/CORE/embedvar.h
%{perl_root}/%{version}/%{full_arch}/CORE/fakesdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/form.h
%{perl_root}/%{version}/%{full_arch}/CORE/gv.h
%{perl_root}/%{version}/%{full_arch}/CORE/handy.h
%{perl_root}/%{version}/%{full_arch}/CORE/hv.h
%{perl_root}/%{version}/%{full_arch}/CORE/intrpvar.h
%{perl_root}/%{version}/%{full_arch}/CORE/iperlsys.h
%{perl_root}/%{version}/%{full_arch}/CORE/keywords.h
%{perl_root}/%{version}/%{full_arch}/CORE/malloc_ctl.h
%{perl_root}/%{version}/%{full_arch}/CORE/mg.h
%{perl_root}/%{version}/%{full_arch}/CORE/nostdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/op.h
%{perl_root}/%{version}/%{full_arch}/CORE/opcode.h
%{perl_root}/%{version}/%{full_arch}/CORE/opnames.h
%{perl_root}/%{version}/%{full_arch}/CORE/overload.h
%{perl_root}/%{version}/%{full_arch}/CORE/pad.h
%{perl_root}/%{version}/%{full_arch}/CORE/parser.h
%{perl_root}/%{version}/%{full_arch}/CORE/patchlevel.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlapi.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlio.h
%{perl_root}/%{version}/%{full_arch}/CORE/perliol.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlsdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlvars.h
%{perl_root}/%{version}/%{full_arch}/CORE/perly.h
%{perl_root}/%{version}/%{full_arch}/CORE/pp.h
%{perl_root}/%{version}/%{full_arch}/CORE/pp_proto.h
%{perl_root}/%{version}/%{full_arch}/CORE/proto.h
%{perl_root}/%{version}/%{full_arch}/CORE/reentr.h
%{perl_root}/%{version}/%{full_arch}/CORE/regcharclass.h
%{perl_root}/%{version}/%{full_arch}/CORE/regcomp.h
%{perl_root}/%{version}/%{full_arch}/CORE/regexp.h
%{perl_root}/%{version}/%{full_arch}/CORE/regnodes.h
%{perl_root}/%{version}/%{full_arch}/CORE/scope.h
%{perl_root}/%{version}/%{full_arch}/CORE/sv.h
%{perl_root}/%{version}/%{full_arch}/CORE/thread.h
%{perl_root}/%{version}/%{full_arch}/CORE/uconfig.h
%{perl_root}/%{version}/%{full_arch}/CORE/unixish.h
%{perl_root}/%{version}/%{full_arch}/CORE/utf8.h
%{perl_root}/%{version}/%{full_arch}/CORE/utfebcdic.h
%{perl_root}/%{version}/%{full_arch}/CORE/util.h
%{perl_root}/%{version}/%{full_arch}/CORE/uudmap.h
%{perl_root}/%{version}/%{full_arch}/CORE/warnings.h
EOF

   cat > perl-doc.list <<EOF
%{_bindir}/perldoc
%{_mandir}/man3pm/Pod::Perldoc*
EOF

   rel_perl_root=`echo %{perl_root} | sed "s,/,,"`
   rel_mandir=`echo %{_mandir} | sed "s,/,,"`
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} "(" -name "*.pod" -o -iname "Changes*" -o -iname "ChangeLog*" -o -iname "README*" ")" -a -not -name perldiag.pod -printf "%%%%doc /%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man1 ! -name "perlivp.1*" ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man3pm ! -type d ! -name "Pod::Perldoc*" -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} -type d -printf "%%%%dir /%%p\n") >> perl.list

   perl -ni -e 'BEGIN { open F, "perl-base.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-devel.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-doc.list"; s/^.doc //, $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
)

%files -f perl.list

%files base -f perl-base.list
%{perl_root}/vendor_perl
%{_rpmconfigdir}/macros.d/macros.perl
%{_libdir}/libperl.so.*

%files devel -f perl-devel.list
%{_libdir}/libperl.so

%files doc -f perl-doc.list



%changelog
* Tue Oct 03 2017 shlomif <shlomif> 2:5.22.3-3.1.mga6
+ Revision: 1167738
- Patches for MGA#21752 - security

* Tue Jun 06 2017 shlomif <shlomif> 2:5.22.3-3.mga6
+ Revision: 1107132
- Fix for MGA#19051 / CVE-2017-6512 - File::Path .
- Thanks to Debian.

* Wed Apr 26 2017 neoclust <neoclust> 2:5.22.3-2.mga6
+ Revision: 1097427
- Add P1000 P1001 - Helps to fix CVE-2016-1238 (mga#19051)

* Tue Jan 31 2017 shlomif <shlomif> 2:5.22.3-1.mga6
+ Revision: 1084373
- New version - 5.22.3.

  + tv <tv>
    - remove sparc64 patch

* Mon Oct 03 2016 daviddavid <daviddavid> 2:5.22.2-5.mga6
+ Revision: 1058268
- fix a dangling link (mga#18729)

* Thu Jul 07 2016 luigiwalser <luigiwalser> 2:5.22.2-4.mga6
+ Revision: 1039424
- add upstream patch to fix XSLoader loading library from directory not in INC

* Mon Jun 06 2016 tv <tv> 2:5.22.2-3.mga6
+ Revision: 1020420
- move overloading in perl-base too

* Mon Jun 06 2016 tv <tv> 2:5.22.2-2.mga6
+ Revision: 1020389
- unbloat default install: move some modules in perl-base:
  o perl(Net::POP3) for perl-Curses-UI
  o perl(IPC::Open2) for perl-Libconf
  o perl(IPC::Open3) for perl(IPC::Open2)
- unbloat default install: fix perl-base requiring perl...

* Tue May 03 2016 shlomif <shlomif> 2:5.22.2-1.mga6
+ Revision: 1008933
- New version 5.22.2.

* Fri Mar 04 2016 shlomif <shlomif> 2:5.22.1-3.mga6
+ Revision: 985585
- Security fix for MGA#17861.
- Thanks to BingOS from #p5p on irc.perl.org for some insights.

* Thu Jan 14 2016 luigiwalser <luigiwalser> 2:5.22.1-2.mga6
+ Revision: 923032
- add patch from rhbz#1293272 to fix CVE-2015-8607

* Wed Dec 16 2015 shlomif <shlomif> 2:5.22.1-1.mga6
+ Revision: 911003
- New version 5.22.1

  + tv <tv>
    - fix build with a non soname-ifed perl

* Fri Aug 21 2015 tmb <tmb> 2:5.22.0-6.mga6
+ Revision: 867823
- rebuild for new gcc

* Thu Jul 02 2015 tv <tv> 2:5.22.0-5.mga6
+ Revision: 849595
- add 2 fixes enabling to build Coro
- remove libperl.so provides (the 3 remaining packages still requiring it do
  not actually build with perl-5.22)

* Sun Jun 28 2015 tv <tv> 2:5.22.0-4.mga6
+ Revision: 846712
- obsoletes perl-Math-BigInt-FastCalc
- simplify provides
- fix i586 provides

* Wed Jun 24 2015 tv <tv> 2:5.22.0-3.mga6
+ Revision: 842478
- provide a real soname (from FC)

* Tue Jun 23 2015 tmb <tmb> 2:5.22.0-2.mga6
+ Revision: 840379
- rebuild with buildsystem

  + shlomif <shlomif>
    - New version - 5.22.0

* Tue Jan 06 2015 pterjan <pterjan> 2:5.20.1-8.mga5
+ Revision: 808871
- Add a patch from perl bug 123029 possibly fixing mga#13852

* Sun Oct 19 2014 pterjan <pterjan> 2:5.20.1-7.mga5
+ Revision: 791740
- Fix the patch to explude again docs

* Fri Oct 17 2014 tv <tv> 2:5.20.1-6.mga5
+ Revision: 780563
- do not exclude requires from META.* when using %%perl_default_filter

* Wed Oct 15 2014 umeabot <umeabot> 2:5.20.1-5.mga5
+ Revision: 740213
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 luigiwalser <luigiwalser> 2:5.20.1-4.mga5
+ Revision: 737198
- update bundled Data::Dumper to 2.154 to fix CVE-2014-4330

* Sat Sep 27 2014 tv <tv> 2:5.20.1-3.mga5
+ Revision: 725836
- rebuild for fixed provides

* Tue Sep 23 2014 tv <tv> 2:5.20.1-2.mga5
+ Revision: 720819
- add macros.perl from FC

* Tue Sep 23 2014 jquelin <jquelin> 2:5.20.1-1.mga5
+ Revision: 720549
- update to 5.20.1

* Tue Sep 23 2014 tv <tv> 2:5.20.0-9.mga5
+ Revision: 719639
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 2:5.20.0-8.mga5
+ Revision: 683406
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Sep 13 2014 tv <tv> 2:5.20.0-7.mga5
+ Revision: 675160
- rename makefile b/c it breaks build (bogusly introduced in r635765 by jerome)
- prepare for internal deps generator (from FC + 2 more exceptions)

  + jquelin <jquelin>
    - introducing Makefile to ease pkg rebuilding after major perl upgrade

* Fri Jun 06 2014 jquelin <jquelin> 2:5.20.0-6.mga5
+ Revision: 634167
- CPAN.pm being dual-lived, applying perl-CPAN patch here also

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-5.mga5
+ Revision: 632139
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-4.mga5
+ Revision: 632138
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-3.mga5
+ Revision: 632136
- perl 5.20.0 rebuild

* Mon Jun 02 2014 pterjan <pterjan> 2:5.20.0-2.mga5
+ Revision: 630700
- Rebuild cleanly

  + jquelin <jquelin>
    - update to 5.20.0

  + guillomovitch <guillomovitch>
    - add a conflict on perl-devel for smooth upgrade

* Thu Feb 06 2014 guillomovitch <guillomovitch> 2:5.18.2-4.mga5
+ Revision: 584486
- transfer /bin/prove from perl-devel to main package

* Tue Feb 04 2014 shlomif <shlomif> 2:5.18.2-3.mga5
+ Revision: 581933
- Missed an inc_version_list on 5.18.2

* Tue Feb 04 2014 tv <tv> 2:5.18.2-2.mga5
+ Revision: 581836
- update inc list

* Tue Feb 04 2014 tv <tv> 2:5.18.2-1.mga5
+ Revision: 581541
- new release

* Sat Oct 19 2013 umeabot <umeabot> 2:5.18.1-3.mga4
+ Revision: 533835
- Mageia 4 Mass Rebuild

  + tv <tv>
    - make perl-devel suggests perl-CPANPLUS-Dist-Mageia for cpan2dist

* Sat Sep 07 2013 sander85 <sander85> 2:5.18.1-2.mga4
+ Revision: 475578
- Drop Module::Pluggable from core (separate package is providing it and the one in core is making tests to fail in other packages)

* Fri Aug 23 2013 tv <tv> 2:5.18.1-1.mga4
+ Revision: 469910
- new release

* Thu Aug 22 2013 kamil <kamil> 2:5.18.0-6.mga4
+ Revision: 469465
- Imporve a little bit portability of the .spec (clean-up)

* Tue Jun 18 2013 shlomif <shlomif> 2:5.18.0-5.mga4
+ Revision: 444674
- Remove old (and breaking) 0444->0644 patch.
  See #MGA 10449 ( https://bugs.mageia.org/show_bug.cgi?id=10449 ) - it caused
  the Module-Build-Tiny tests to fail.

* Tue Jun 18 2013 tv <tv> 2:5.18.0-4.mga4
+ Revision: 444589
- drop patch38 (obsolete since perl-5.9.5)

* Wed May 29 2013 jquelin <jquelin> 2:5.18.0-3.mga4
+ Revision: 431353
- force rebuild after perl 5.18 upgrade
- update to perl 5.18.0

  + shlomif <shlomif>
    - Fix for test failure on i586

* Wed Mar 13 2013 jquelin <jquelin> 2:5.16.3-1.mga3
+ Revision: 402345
- forgot to add the new @INC
- update to 5.16.3

* Mon Feb 04 2013 jquelin <jquelin> 2:5.16.2-5.mga3
+ Revision: 394527
- fix Locale-Maketext CVE-2012-6329 (mga#8815)

* Sun Jan 13 2013 umeabot <umeabot> 2:5.16.2-4.mga3
+ Revision: 362755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - perl 5.16.2 shebang rebuild

* Tue Nov 06 2012 jquelin <jquelin> 2:5.16.2-2.mga3
+ Revision: 314831
- get rid of legacy %%ifarch

* Mon Nov 05 2012 jquelin <jquelin> 2:5.16.2-1.mga3
+ Revision: 314423
- update to 5.16.2
- patch inlined as configure option (-Dperllib) to prevent patch
  creeping

* Tue Oct 16 2012 fwang <fwang> 2:5.16.1-8.mga3
+ Revision: 307034
- do not fail if it is not installed
- use hanextra for zh_CN.GB18030 promoted in mga3

* Thu Sep 20 2012 tv <tv> 2:5.16.1-7.mga3
+ Revision: 296295
- rebuild for missing x86_64 binaries

* Tue Sep 18 2012 jquelin <jquelin> 2:5.16.1-6.mga3
+ Revision: 295881
- update list of provides

* Fri Aug 24 2012 tv <tv> 2:5.16.1-5.mga3
+ Revision: 283511
- rebuild with fixed rpm-mageia-setup-build

* Fri Aug 24 2012 tv <tv> 2:5.16.1-4.mga3
+ Revision: 283498
- Provides: perlapi-5.16.0

* Fri Aug 24 2012 pterjan <pterjan> 2:5.16.1-3.mga3
+ Revision: 283393
- Provide /bin/perl
- Clean rebuild

* Thu Aug 23 2012 tv <tv> 2:5.16.1-2.mga3
+ Revision: 283354
- rebuild b/c find-provides insert perlapi provides depending on installed
  perl, not the one we currently build...

* Thu Aug 23 2012 jquelin <jquelin> 2:5.16.1-1.mga3
+ Revision: 283273
- remove files no more shipped
- update link patch to match perl 5.16.1
- update to perl 5.16.1

* Thu Aug 16 2012 jquelin <jquelin> 2:5.16.0-11.mga3
+ Revision: 281481
- provide perl(open) - mga#6907

* Fri Aug 03 2012 tv <tv> 2:5.16.0-10.mga3
+ Revision: 278316
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 2:5.16.0-9.mga3
+ Revision: 277891
- rebuild with mini debug info

* Mon Jul 30 2012 tv <tv> 2:5.16.0-8.mga3
+ Revision: 276234
- rebuild for db-5.3
- drop 4 years old conflicts
- perlapi provides is automatic now

* Fri Jul 27 2012 fwang <fwang> 2:5.16.0-7.mga3
+ Revision: 274717
- use system default db libmajor

* Fri Jun 01 2012 tv <tv> 2:5.16.0-6.mga3
+ Revision: 252835
- conflict with perl-IO-Compress

* Fri Jun 01 2012 tv <tv> 2:5.16.0-5.mga3
+ Revision: 252787
- conflict with perl-Pod-Perldoc

* Thu May 31 2012 pterjan <pterjan> 2:5.16.0-4.mga3
+ Revision: 252545
- Fix one more conflict

* Thu May 31 2012 pterjan <pterjan> 2:5.16.0-3.mga3
+ Revision: 252543
- Make conflicts less stricts

* Thu May 31 2012 blino <blino> 2:5.16.0-2.mga3
+ Revision: 252542
- update conflicts with perl-Archive-Tar

  + jquelin <jquelin>
    - update to perl 5.16
      to minimize differences to upstream, i did not remove any module.
      dual-lifed modules conflicting on a script will rename the script to
      version it (eg: /usr/bin/script-x.y.z)

* Fri Apr 20 2012 tv <tv> 2:5.14.2-7.mga2
+ Revision: 232117
- move some files from perl to perl-base in order to debloat minimal install
  (saves 10.35%% of mininmal install: 280->251Mo)

* Fri Mar 16 2012 anssi <anssi> 2:5.14.2-6.mga2
+ Revision: 223649
- bump perl-base versioned conflict on drakxtools-backend, as it didn't
  contain the proper perlapi requires until recently as per bug #3731
  (fixes possible non-added kernels and skipped initramfs regeneration
  on mga1->mga2 upgrade)

* Mon Dec 05 2011 fwang <fwang> 2:5.14.2-5.mga2
+ Revision: 176901
- rebuild for new gdbm

* Fri Nov 25 2011 fwang <fwang> 2:5.14.2-4.mga2
+ Revision: 171776
- fix linkage

  + jquelin <jquelin>
    - see if new define is the bs problem
    - installing /usr/bin/perl within configure

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-3.mga2
+ Revision: 155117
- perl 5.14.2 rebuild

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-2.mga2
+ Revision: 155116
- rebuild

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-1.mga2
+ Revision: 155097
- update to 5.14.2
- script to find package owning scripts with wrong shebang

  + fwang <fwang>
    - promote ldflags also when building exts

* Sun Jun 19 2011 jquelin <jquelin> 2:5.14.1-1.mga2
+ Revision: 109798
- update to perl 5.14.1

  + tv <tv>
    - make doc subpackage noarch

* Mon Jun 13 2011 jquelin <jquelin> 2:5.14.0-5.mga2
+ Revision: 105783
- make sure perl-JSON-PP is picked by urpmi in the same transaction

* Mon Jun 13 2011 jquelin <jquelin> 2:5.14.0-4.mga2
+ Revision: 105756
- adding some conflicts with modules known to be perl 5.14 incompatible

* Sun Jun 12 2011 jquelin <jquelin> 2:5.14.0-3.mga2
+ Revision: 104268
- fixing conflict with perl-Digest-SHA
- perl 5.14 rebuild
- try to fix eumm cflags overriding
- fixing last remaining errors
- preparation to migrate to 5.14.0
- prep works fine (patch updated or dropped if merged upstream)
- build works fine
- all test work but 1: number 7 in t/porting/regen.t
  i did not manage to get a shell access with iurt, so i didn't have the
  chance to investigate further. i(m giving it up currently. in worst
  case, i think that skipping this test is not that big a deal.

* Mon May 16 2011 jquelin <jquelin> 2:5.12.3-4.mga1
+ Revision: 99222
- fix bug#1300 lc/uc bypass taint (cve 2011-1487)

* Thu Feb 17 2011 jquelin <jquelin> 2:5.12.3-3.mga1
+ Revision: 52901
+ rebuild (emptylog)

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.3-2.mga1
+ Revision: 52702
- forgot to add previous arch @inc

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.3-1.mga1
+ Revision: 52620
- update to 5.12.3

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.2-11.mga1
+ Revision: 52448
- adding missing provides:

* Mon Jan 31 2011 jquelin <jquelin> 2:5.12.2-10.mga1
+ Revision: 45158
- install man pages from core modules in section 3pm, to avoid conflict with standalone versions of the same modules

* Wed Jan 26 2011 jquelin <jquelin> 2:5.12.2-9.mga1
+ Revision: 40024
- adding missing provides:

* Tue Jan 25 2011 jquelin <jquelin> 2:5.12.2-8.mga1
+ Revision: 38277
- adding missing provides:

* Tue Jan 18 2011 blino <blino> 2:5.12.2-7.mga1
+ Revision: 23248
- rebuild
- revert incorrect import

* Mon Jan 10 2011 jquelin <jquelin> 2:5.12.2-5.mga1
+ Revision: 5260
- imported package perl

  + blino <blino>
    - update distro name
    - use generic distribution macros
    - remove old conflicts
    - imported package perl


* Fri Nov 19 2010 Oden Eriksson <oeriksson@mandriva.com> 2:5.12.2-5mdv2011.0
+ Revision: 599067
- P51: fix borkiness with Compress::Zlib
- rediffed fuzzy patches

  + Jérôme Quelin <jquelin@mandriva.org>
    - remove path setting, which did not help

* Thu Sep 09 2010 Götz Waschk <waschk@mandriva.org> 2:5.12.2-4mdv2011.0
+ Revision: 577004
- reenable checks

* Thu Sep 09 2010 Götz Waschk <waschk@mandriva.org> 2:5.12.2-3mdv2011.0
+ Revision: 577002
- disable checks for bootstrapping

  + Jérôme Quelin <jquelin@mandriva.org>
    - not sure tests pick up the correct path
    - mdv#60956 - fix h2ph

* Thu Sep 09 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.2-2mdv2011.0
+ Revision: 576910
- fix #60939 - provides perl-libnet again

* Tue Sep 07 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.2-1mdv2011.0
+ Revision: 576627
- update to 5.12.2

* Fri Aug 06 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.1-3mdv2011.0
+ Revision: 566958
- perl-suid should be obsoleted, not conflicted

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.1-2mdv2011.0
+ Revision: 561874
- submitting directly to main/release

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.1-1mdv2011.0
+ Revision: 561860
- update perlapi and @INC list
- update to perl 5.12.1
- 5.12 is now current

* Fri Jun 11 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-10mdv2010.1
+ Revision: 547928
- 5.12 dvpt should be done in a branch
- forgot to commit tarball
- 5.12.0 final

* Wed Apr 07 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.0-0.RC4.1mdv2010.1
+ Revision: 532699
- update to 5.12.0-rc4

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.0-0.RC1.1mdv2010.1
+ Revision: 530267
- update to 5.12.0-rc1

* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.12.0-0.RC0.1mdv2010.1
+ Revision: 527724
- rebuild
- *** /!\ WARNING /!\
- SUID emulation has been removed in perl 5.12
    Configure is now run without -Dd_dosuid
    ==> perl-suid package doesn't exist anymore
    perl-base now has a "Conflicts: perl-suid" to ensure smooth upgrade
  *** Patches changes
- patch 3: perl-5.10.1-RC1-norootcheck.patch
    merged upstream
    patch dropped
- patch 6: perl-5.8.8-RC1-fix-LD_RUN_PATH-for-MakeMaker.patch
    module moved to cpan/ExtUtils-MakeMaker
    patch rediffed
    renamed to perl-5.12.0-RC0-fix-LD_RUN_PATH-for-MakeMaker.patch
- patch 14: perl-5.12.0-RC0-install-files-using-chmod-644.patch
    module moved to dist/ExtUtils-Install
    renamed to perl-5.10.1-RC1-install-files-using-chmod-644.patch
- patch 16: perl-5.8.5-RC1-perldoc-use-nroff-compatibility-option.patch
    module moved to dist/Pod-Perldoc
    renamed to perl-5.12.0-RC0-perldoc-use-nroff-compatibility-option.patch
- patch 23: perl-5.10.1-patchlevel.patch
    update to match RC0
    renamed to perl-5.12.0-RC0-patchlevel.patch
- patch 24: perl-5.8.4-no-test-fcgi.patch
    test for FastCGI, which the CPAN version has a dependency on, but is not in core
    from #p5p:
    17:08:16 @Nicholas> yes, and I forget why, but I think that it
        became easier not to include it, as it would only skip in core.
    17:24:35 @Bram> It would not always skip in core. I believe that was
        the problem... (If the system perl has CGI::Fast installed and if it is
        the same version as the 'new' perl and the same INC path then the test
        woul pick up the CGI::Fast from the system and attempt to run the test
        (during make test that is))
    ==> patch dropped
- patch 29: perl-5.8.8-rpmdebug.patch
    module moved to cpan/ExtUtils-Manifest
    renamed to perl-5.12.0-RC0-rpmdebug.patch
- patch 42: perl-5.9.5-allow-to-override-core-modules.patch
- patch 43: perl-5.10.1-RC1-skip-tests-using-dev-log-for-iurt.patch
    module moved to cpan/Sys-Syslog
    renamed to perl-5.12.0-RC0-skip-tests-using-dev-log-for-iurt.patch

* Thu Dec 17 2009 Thierry Vignaud <tv@mandriva.org> 2:5.10.1-8mdv2010.1
+ Revision: 479695
- move File::Glob & Config_heavy.pl from perl into perl-base so that urpmi can
  work with only perl-base now that perl(Data::Dumper) is provided by both perl
  & perl-Data::Dumper
  hint: next time you package a more up-to-date perl module, remove it from
  perl and you check nothing got broken as a side effect

* Fri Dec 11 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-7mdv2010.1
+ Revision: 476552
- rebuild

* Mon Dec 07 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-6mdv2010.1
+ Revision: 474342
- bump mkrel
- dual-lifing pod::perldoc

* Mon Dec 07 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-5mdv2010.1
+ Revision: 474312
- bump mkrel
- given that dual-lived modules are in contrib, we should not use hard requires: deps but suggests:

* Sun Dec 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-4mdv2010.1
+ Revision: 474100
- bump mkrel
- requiring modules in order to have a perl as shipped upstream
  we removed them from base "perl" package in order to easily dual-life
  them, but there was a long thread on perl5 porters about the definition
  of package perl (on fedora).
  cf http://www.nntp.perl.org/group/perl.perl5.porters/2009/08/msg149747.html
- adding missing lowercase provides (if)
- obsoletes only strictly older modules

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 2:5.10.1-3mdv2010.0
+ Revision: 450264
- add missing sgidef.h header on mips (from Arnaud Patard)

* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-2mdv2010.0
+ Revision: 420261
- force resubmit
- update to 5.10.1

* Sat Aug 08 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-0.rc1.2mdv2010.0
+ Revision: 411690
- no api/abi compatibility before 5.10.0 (thanks anssi)
- catching arch-dependant directories for old perls
- using parallel tests to build package faster

* Fri Aug 07 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.1-0.rc1.1mdv2010.0
+ Revision: 411238
- anssi is not sure regarding perlapi-5.10.1, so let's keep it by now
- no need to provides perlapi-5.10.1 according to anssi
- update to 5.10.1-RC1
- removed lots of patches merged upstream
- rediffed some patches to apply them cleanly
- fix a bit spec file
  (i'm not really sure with the provides of perlapi)

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2:5.10.0-27mdv2010.0
+ Revision: 400306
- add an explicit devel(libperl) dependency on devel package, as required by any other package linked against libperl.so

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.10.0-26mdv2010.0
+ Revision: 396825
- rebuild to have new automatic provides extraction
- fixed license field

* Thu Apr 16 2009 Thierry Vignaud <tv@mandriva.org> 2:5.10.0-25mdv2009.1
+ Revision: 367772
- merge some fixes from debian:
- patch 53: Incorrect substitution optimization introduced in 5.10.0
  (debian #501178, perl #52658) (crash fix):
- patch 54: Fix memory corruption with in-place sorting (debian
  #498769, perl #54758) (segfault fix)
- patch 55: Fix a segmentation fault occurring in the mod_perl2 test
  suite (debian #475498, perl #33807)
- patch 56: Fix memory leak with qr// (debian #503975)
- patch 57: NULL checks
- patch 58: Fix a memory leak with Scalar::Util::weaken() (debian
  #506324)
- patch 59: Fix memory leak in // caused by single-char character
  class optimization (debian #503975, perl #59516)
- patch 60: Fix a reference counting bug in PerlIO::via that leads to
  memory corruption (debian #479698)
- patch 61: Fix crash on binary-or lvalue operation on qr//
  [rt.perl.org #54956]
- patch 62: Fix a segmentation fault with 'debugperl -Dm' (Upstream
  change 33388)
- patch 63: Prevent setpgrp from corrupting the stack (debian #512796)
- patch 70: [SECURITY] CVE-2005-0448 revisited: File::Path::rmtree no
  longer allows creating of setuid files (debian #286905)

* Sun Mar 22 2009 Anssi Hannula <anssi@mandriva.org> 2:5.10.0-24mdv2009.1
+ Revision: 360448
- fix more format string errors (format-string.patch)
- fix a format string error in public handy.h (format-string.patch)

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2:5.10.0-23mdv2009.1
+ Revision: 314501
- rediff fuzzy patches
- rebuilt against db4.7

  + Pixel <pixel@mandriva.com>
    - fix segfault (#44228)

* Thu Sep 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:5.10.0-21mdv2009.0
+ Revision: 285750
- upstream patch: fix parameters passing slowdown

  + Pixel <pixel@mandriva.com>
    - provides perl(version) (#43238)

* Thu Sep 11 2008 Michael Scherer <misc@mandriva.org> 2:5.10.0-20mdv2009.0
+ Revision: 283680
- add security fix for #42628, and various whitespace automated fix

* Tue Aug 26 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-19mdv2009.0
+ Revision: 276193
- fix build of debug packages (new strip_and_check_elf_files does not handle DONT_STRIP if not exported)

* Tue Aug 19 2008 Pixel <pixel@mandriva.com> 2:5.10.0-18mdv2009.0
+ Revision: 273938
- bytes.pm uses bytes_heavy.pl, not bytes_heavy.pm
- move bytes_heavy.pm to perl-base (it is used by bytes.pm)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Thierry Vignaud <tv@mandriva.org> 2:5.10.0-15mdv2009.0
+ Revision: 218044
- rebuild

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2:5.10.0-14mdv2009.0
+ Revision: 209505
- get rid of the db1-devel and db2-devel build deps, db4-devel is enough

* Tue Apr 01 2008 Pixel <pixel@mandriva.com> 2:5.10.0-13mdv2008.1
+ Revision: 191443
- try again to workaround a segfault (which is now a "clean" panic) (#34505)
- tentative to workaround a segfault (#34505)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-11mdv2008.1
+ Revision: 190713
- really generate debug package (by not stripping files when running spec-helper hack)

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 2:5.10.0-10mdv2008.1
+ Revision: 187849
- move the perlapi-5.8.8 explicit conflict from perl to perl-base
  (since it is perl-base which provides perlapi-xxx)

* Thu Mar 13 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-9mdv2008.1
+ Revision: 187564
- fix segfault with array ties (patch submitted and merged upstream, RT #51636)

* Wed Mar 12 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-8mdv2008.1
+ Revision: 187133
- build with -g even when debugging is disabled (without enabling perl debugging)

  + Pixel <pixel@mandriva.com>
    - urpmi's priority upgrade must include perl-XML-Parser otherwise urpmi will fail to load Hal::Cdrom

* Mon Mar 10 2008 Pixel <pixel@mandriva.com> 2:5.10.0-7mdv2008.1
+ Revision: 183653
- urpmi's priority upgrade must include perl-Net-DBus otherwise urpmi will fail to load Hal::Cdrom

* Mon Mar 03 2008 Pixel <pixel@mandriva.com> 2:5.10.0-6mdv2008.1
+ Revision: 177964
- add Obsoletes/Provides on perl-File-Fetch perl-CPAN perl-IO-Zlib
  perl-Pod-Simple (which are included in main perl) (#37445)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 2:5.10.0-5mdv2008.1
+ Revision: 156194
- provide perl-version (needed since we obsolete it)

* Mon Jan 21 2008 Pixel <pixel@mandriva.com> 2:5.10.0-4mdv2008.1
+ Revision: 155899
- add obsoletes on perl-version <= 0.74 (since perl now bundles it)
- move feature.pm to perl-base (esp. for "state", cf perldelta(1))
- keep module perl-Time-Piece outside of perl
- fix putting pod files in perl-doc
- keep modules perl-IO-Compress-Base outside of perl
- keep modules perl-IO-Compress-Zlib and perl-Archive-Extract outside of perl
- another fix for #36535, thanks to Mashrab Kuvatov
- fix using open :locale under UTF-8@cyrillic locale (mdvbz#36535)

* Tue Jan 15 2008 Pixel <pixel@mandriva.com> 2:5.10.0-3mdv2008.1
+ Revision: 152152
- move perlapi-5.10.0 provide to perl-base
- move Tie::Hash to perl-base (since module POSIX uses it)
- keep modules perl-Compress-Raw-Zlib and perl-Compress-Zlib outside of perl
- really fix asm/unistd.ph

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2:5.10.0-2mdv2008.1
+ Revision: 151585
- fix asm/unistd.ph (through a fix in h2ph which could not handle glibc 2.7 asm/unistd.h)
- normalize call to h2ph
- also conflict with drakxtools-backend built with 5.8.8

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2:5.10.0-1mdv2008.1
+ Revision: 151160
- also conflict perl-Digest-SHA1 built with 5.8.8 (perl-RPM4 requires perl-Digest-SHA1)
- disable test using /dev/log which is not available in iurt
- we do not want the perlapi-xxx require on installed perl
- adapt to "Source2" not being compressed anymore
- fix build

* Fri Dec 21 2007 Thierry Vignaud <tv@mandriva.org> 2:5.8.8-14mdv2008.1
+ Revision: 136449
- source 3: temporary prevent uploading perl since we would have to rebuild every binary package (postponed until early january)
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - switch to threading again
      (since it can be useful, and other distros have it enabled)
    - 5.10.0:
      o provide perlapi-5.10.0 so that binary modules can require it and ensure
        correct upgrades in the future (a la debian)
      o conflict with important perl packages that would break
        (we can't list them all)
      o not including bundled modules already in existing packages and would conflict:
        Archive::Tar, Digest::SHA, CPANPLUS, Module::CoreList, Module::Build
      o rediff patches: patch14, patch15 (lib64), patch32 (inversionlist), patch42
        (allow override core modules)
      o drop applied upstream patches: patch33, patch35 (Net::NNTP::body and
        Net::NNTP::head would need the fix too?), patch36, patch37, patch39,
        patch40, patch41, patch43
      o perlcc is no more

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 15 2007 Pixel <pixel@mandriva.com> 2:5.8.8-13mdv2008.1
+ Revision: 108943
- allow modules in site_perl and vendor_perl to override perl builtin modules (#33090)
- backport fix from Math-Complex-1.37 (#35488)
- handle Pod::Perldoc manpages in perl-doc through file list
- don't list twice Pod/Perldoc/* modules
- remove old broken perldiag special case
- fix security issue in regexp engine (#35333)
- adapt to man pages being compressed with lzma
- spec-helper script is no more, use the rpm macro instead
- fix weird *old* rgs typo (how did rpm build with this?!)
- fix compiling with gcc 4.2.x

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    -Ud_longdbl on all sparcs (%%sunsparc)
    - do parallell build

* Mon Apr 30 2007 Pixel <pixel@mandriva.com> 2:5.8.8-12mdv2008.0
+ Revision: 19552
- explicit file provide /usr/bin/perl

* Mon Apr 23 2007 Pixel <pixel@mandriva.com> 2:5.8.8-11mdv2008.0
+ Revision: 17453
- remove bad provides libperl.so from perl
  (libperl.so is still provided by perl-base)


* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 5.8.8-10mdv2007.1
+ Revision: 145069
- move some more files (needed to run XFdrake)

* Mon Feb 12 2007 Pixel <pixel@mandriva.com> 2:5.8.8-9mdv2007.1
+ Revision: 118871
- fix segfault (bugzilla #28537, perl #41442)

  + Rafael Garcia-Suarez <rgarciasuarez@mandriva.com>
    - ppc64 fixes from Gwenole Beauchesne (from CS3).
      Bunzip patches.
    - Import perl

* Sat Sep 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 5.8.8-7mdv2007.0
- patch 38: do not defer sig11 (aka segfaulting, #18087)

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2:5.8.8-6mdk
- rebuilt due to missing perl-doc package for x86_64

* Sat May 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-5mdk
- Rebuild with new rpm-mandriva-setup

* Thu May 04 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-4mdk
- Drop patch 20 (loading of .pm.gz files, no longer used in gi, could
  be done in pure perl with @INC hooks)

* Sun Mar 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-3mdk
- Remove PERL_DISABLE_PMC from the CCFLAGS, as requested by Audrey Tang
- Remove german translations

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-2mdk
- Integrate upstream patches:
- patch 34 (#27210): buglet in c2ph
- patch 35 (#27211): buglet in Net::NNTP
- patch 36 (#27359): make -d:Foo=bar work again
- patch 37 (#27363): include predefined gcc macros in translated system headers

* Wed Feb 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-1mdk
- 5.8.8
- Remove patch 12 (MakeMaker hack for old rpm conventions)
- Rediff patch 23
- Remove patches 34 and 35, integrated upstream

* Thu Jan 26 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.4mdk
- Turn on -g optimisation so perl is built without -DDEBUGGING

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.3mdk
- Add patch 34 (upstream 26920) : restore compatibility with swig
- Add patch 35 (upstream 26940) : fix suidperl bug

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.2mdk
- Add patch 33 (upstream 26536) to fix bug 20129

* Fri Jan 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.1mdk
- New version
- Rediff patches 20, 23, 29
- Remove half of patch 6, integrated upstream
- Remove patches 22, 26, 27, 28, 30, 31, 33, 34, integrated upstream
- Remove patch 25, obsolete
- Obsoletes perl-Test-Builder-Tester

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-9mdk
- lib64 fix to buildrequires (Per yvind Karlsen)
- Patch 34: upstream 26812, h2ph improvement, fixes build on linux-sparc64

* Thu Dec 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-8mdk
- Patch 33: fix for CVE-2005-3962

* Mon Nov 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-7mdk
- Upgrade core modules List::Util and Getopt::Long to latest CPAN versions
  (patches 30 and 31)
- Always set up @INC correctly even if older directories don't exist on the
  build machine (patch 32)

* Fri Nov 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-6mdk
- Patch 29: patch default MANIFEST.SKIP allow Module::Signature to work even
  when building rpms with debug packages enabled

* Fri Oct 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-5mdk
- BuildRequires recent rpm-mandriva-setup-build

* Tue Oct 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-4mdk
- Upgrade to Storable 2.15 (patch 28)
- Fix installation of sperl as setuid

* Wed Aug 10 2005 Pixel <pixel@mandriva.com> 5.8.7-3mdk
- on x86_64, bits/syscall.ph requires bits/wordsize.ph

* Tue Aug 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-2mdk
- Add patch 27 (CAN-2005-0448)

* Wed Jun 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.8.7-1mdk
- 5.8.7
- Define sitebin to /usr/local/bin and siteman* to /usr/local/man/...
- Replace Mandrakelinux by Mandriva Linux

* Thu May 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-0.RC1.1mdk
- 5.8.7 RC1
- Remove patch 27, 28, 29, 30, merged upstream

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.8.6-7mdk
- Put sperl and suidperl in their own package perl-suid

* Mon Feb 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-6mdk
- Add patches 28 et 30 (security updates)

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-5mdk
- Fix local root exploit and buffer overflow (patch 28) (perlbug #33990)

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-4mdk
- Move the Pod::Perldoc::* modules to perl-doc
- Add Artistic licence in doc

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-3mdk
- Fixes (or workarounds) for build issues on x86_64
- add a "debugging" flag to build perls with -D enabled

* Wed Dec 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-2mdk
- Integrate patch 23565 from the maint branch (as patch 27):
  MakeMaker's default MANIFEST.SKIP was borked

* Mon Nov 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-1mdk
- 5.8.6
- use "make test_harness_notty" for testing
- fix invocation of h2ph with correct libperl.so

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-0.RC1.1mdk
- New version 5.8.6-RC1
- Remove support for threads
- Remove bincompat directories (since we break binary compatibility)
- Remove patch 27, merged upstream

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-4mdk
- Upgrade to MIME::Base64 3.05 (for perl-MIME-tools, security update)
- BuildRequire: libgdbm_compat (bugs #12036 and #12136)

* Fri Aug 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-3mdk
- Fix for generation of unistd.ph on ppc (Christiaan Welvaart)

* Thu Jul 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-2mdk
- Add a patch to prevent including an empty rpath in .so files produced
  by MakeMaker

* Wed Jul 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-1mdk
- 5.8.5.
- Move unicore/PVA.pl into perl-base.

* Fri Jul 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-0.RC2.1mdk
- RC2. Remove patch #23063.

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-0.RC1.2mdk
- Merged patch #23063: perl wasn't able to upgrade a literal undef to
  UTF-8 anymore. This broke Gtk2.

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-0.RC1.1mdk
- New version
- Remove patches merged upstream
- Fix CPAN signature test when Module::Signature is installed

* Tue Jun 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-13mdk
- Move Getopt::Std from perl to perl-base
- Move some changelogs from perl to perl-doc

* Sat Jun 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-12mdk
- Move CORE/config.h from perl-devel to perl. This is necessary for MakeMaker
  (and thus CPAN.pm) to work.

* Wed Jun 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-11mdk
- Carp::Heavy should be in perl-base, as it's required by Carp.pm
- Add manually a provides for perl(Carp::Heavy)

* Mon Jun 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-10mdk
- Further h2ph patches.

* Sun Jun 13 2004 Robert Vojta <robert.vojta@mandrake.org> 5.8.4-9mdk
- patches 42 and 43 temporarily disabled (see #10035)

* Sat Jun 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-8mdk
- Remove redundant BuildRequires
- Add two more h2ph patches from the development branch

* Sat Jun 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-7mdk
- Add BuildRequires glibc-devel

* Fri Jun 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-6mdk
- integrate patch #22925 from the development branch :
  Make h2ph able to understand a limited set of inline functions.
  This fixes the generation of some .ph files.

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-5mdk
- Restore loading of .pm.gz files by adjusting patch #20

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-4mdk
- Add compilation flag -DPERL_DISABLE_PMC
- Rebuild with new gcc

* Thu May 27 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-3mdk
- Add a bunch of patches from the maintainance branch

* Thu May 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-2mdk
- psed(1) wasn't installed
- the manpage for perlivp(1) (which isn't installed) was installed
- remove perldiag.pod from perl-doc

* Fri Apr 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-1mdk
- 5.8.4
- remove setuidperl, it was a transient RC2 tryout
- the only setuid executable is sperl5.8.4
- force gcc optimisation level to -O1 on ppc
- disable test lib/CGI/t/fast.t, which may fail if perl-FCGI is already
  installed on the system.

* Sat Apr 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-0.RC2.1mdk
- RC2
- remove setuid bit on sperl and suidperl
- new setuid executable setuidperl
- use 'make test_harness' instead of 'make test'
- add a note in the 'perl -V' output to mention MandrakeSoft patches

* Wed Apr 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-0.RC1.2mdk
- Restore 5.8.1/i386-linux in the inc_version_list, at least until
  all the packages from the CPAN are upgraded

* Wed Apr 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-0.RC1.1mdk
- changed perl URL
- FHS-compliance patch is no longer needed
- A more recent Getopt::Long is now bundled with perl, remove it
- remove 5.8.1/i386-linux from the inc_version_list, because 5.8.1 is
  binary incompatible with every other 5.8.x
- Add Errno.pm to perl-base

